By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
454,729 Members | 1,386 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 454,729 IT Pros & Developers. It's quick & easy.

apache 1.3.27, frontpage, php 4.3.0, and mhash

P: n/a
Hello,
I'm really hoping someone can help here, i am very frustrated on this
issue. If this were my linux box i'd commit myself for insanity, this setup
is so frustrating!
Ok, done rambling, Linux box, rh version unknown, apache 1.3.27 with
frontpage extensions, php 4.3.0, and i'm trying to install mhash. I was
informed this is occurring in a vdp environment whatever that is, and so i
compiled and installed mhash thinking apache and php would work with it. No
go, after spending an hour figuring out where this provider places his
apache modules i copied /usr/local/lib/libmhash* to
/usr/local/apache/libexec/modules which worked fine, btw a line:
extension=libmhash.so
has already been added to php.ini
i restarted apache and got the message:
"Unknown library maybe not a php library libmhash.so"
My problem is i believe that /usr/local/apache/libexec/modules
is/libmhash.so is looking for an include file mhash.h which should reside in
/usr/local/apache/include where said module can find it, instead it lives in
the standard location of /usr/local/lib/mhash.h and i don't have the
credentials to get it there. My question is is there anyway to compile a
static version of mhash so i could just copy a single .so file in to
/usr/local/apache/libexec/modules and it would work? Failing or augmenting
that any suggestions welcome.
BTW, please don't say contact the provider i've done it 5 times over
this past week and have got no response, and the guy whom i'm consulting for
won't switch.
Much thanks.
Dave.
Jul 17 '05 #1
Share this question for a faster answer!
Share on Google+

This discussion thread is closed

Replies have been disabled for this discussion.